#ifndef SPWPYWRAPPER_H
#define SPWPYWRAPPER_H
#include <genericPySysdriver.h>

class spwPyWrapper : public genericPySysdriver
{
    Q_OBJECT
public:
    explicit spwPyWrapper(socexplorerplugin *parent = 0);
signals:
    void selectBridge(const QString &bridgeName);
    bool connectBridge();
    bool disconnectBridge();
    void StarDundeeSelectBrick(int brickIndex);
    void StarDundeeSelectLinkNumber(int linkIndex);
    void StarDundeeSelectLinkSpeed(int linkSpeed);
    void StarDundeeSetSourceAddress(const QString & destKey);
    void StarDundeeSetDestinationAddress(const QString & address);
    void StarDundeeSetDestinationKey(const QString & key);
    void StarDundeeSetRmapTimeout(const QString & timeout);
    int StarDundeeGetAvailableBrickCount();
    unsigned int StarDundeeGetNbPacketsTransmittedToSpw( void );
    unsigned int StarDundeeGetNbCCSDSPacketsTransmittedToSpw( void );
    int StarDundeeGetLinkNumber();
    void StarDundeeSetBrickAsAninterface( bool );
    void StarDundeeSetBrickAsARouter( bool );
    void StarDundeeSetTimecodeFrequency( double );
    void StarDundeeStartTimecodes( bool );
    void StarDundeeSendOneTimecode( unsigned char timecode );

    void TCPServerConnect();
    void TCPServerDisconnect();
    void TCPServerSetPort(qint32 port);
    void TCPServerSetIP(QString ip);

public slots:
};

#endif // SPWPYWRAPPER_H
